Skip to main content

Balance

Retrieve the current balance for a player session.


POST /balance

POST{operator endpoint}/balance

Called by NeverEnding to get the player's current balance. Must return the live wallet balance for the player.

Request

Headers: X-Server-Authorization: hmac_sha256_hash · Authorization: Bearer {token}

{
"sessionId": "321e4567-e89b-45d3-b594-41234174249",
"playerId": "player_777",
"game": "firefruit-sevens-classic"
}
Request Parameters
FieldTypeDescription
sessionIdstring (UUID)requiredActive game session identifier
playerIdstringrequiredOperator's unique identifier for the player, returned on /authenticate
gamestringrequiredGame identifier

Response

✓ 200 OK
{
"balance": 100.57
}
Response Parameters
FieldTypeDescription
balancenumberCurrent player balance in the player's currency (as returned in /authenticate)